eclipse-xsd-2.12.0-1.mga6.noarch.rpm


Advertisement

Description

eclipse-xsd - XML Schema Definition (XSD) Eclipse plug-in

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package name eclipse-xsd
Package version 2.12.0
Package release 1.mga6
Package architecture noarch
Package type rpm
Installed size 1.55 MB
Download size 1.24 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
The XML Schema Definition (XSD) plug-in is a library that provides an API for
manipulating the components of an XML Schema as described by the W3C XML
Schema specifications, as well as an API for manipulating the DOM-accessible
representation of XML Schema as a series of XML documents.

Alternatives

Package Version Architecture Repository
eclipse-xsd-2.12.0-1.mga6.noarch.rpm 2.12.0 noarch Mageia Core
eclipse-xsd - - -

Requires

Name Value
eclipse-emf-runtime >= 2.11.0
eclipse-platform >= 1:4.4.0
java-headless >= 1:1.7
javapackages-tools -
osgi(org.eclipse.emf.ant) -
osgi(org.eclipse.emf.codegen.ecore.ui) -
osgi(org.eclipse.emf.ecore.edit) -
osgi(org.eclipse.emf.edit) -
osgi(org.eclipse.emf.edit.ui) -
osgi(org.eclipse.emf.exporter) -
osgi(org.eclipse.emf.importer) -
osgi(org.eclipse.emf.mapping) -
osgi(org.eclipse.emf.mapping.ui) -

Provides

Name Value
eclipse-xsd == 2.12.0-1.mga6
mvn(org.eclipse.xsd.features:org.eclipse.xsd) == 2.12.0.SNAPSHOT
mvn(org.eclipse.xsd.features:org.eclipse.xsd.ecore.converter) == 2.9.0.SNAPSHOT
mvn(org.eclipse.xsd.features:org.eclipse.xsd.edit) == 2.9.0.SNAPSHOT
mvn(org.eclipse.xsd.features:org.eclipse.xsd.editor) == 2.9.0.SNAPSHOT
mvn(org.eclipse.xsd.features:org.eclipse.xsd.mapping) == 2.9.0.SNAPSHOT
mvn(org.eclipse.xsd.features:org.eclipse.xsd.mapping.editor) == 2.9.0.SNAPSHOT
mvn(org.eclipse.xsd:org.eclipse.emf.mapping.xsd2ecore) == 2.6.0.SNAPSHOT
mvn(org.eclipse.xsd:org.eclipse.emf.mapping.xsd2ecore.editor) == 2.6.0.SNAPSHOT
mvn(org.eclipse.xsd:org.eclipse.xsd) == 2.12.0.SNAPSHOT
mvn(org.eclipse.xsd:org.eclipse.xsd.ecore.converter) == 2.6.0.SNAPSHOT
mvn(org.eclipse.xsd:org.eclipse.xsd.ecore.exporter) == 2.5.0.SNAPSHOT
mvn(org.eclipse.xsd:org.eclipse.xsd.ecore.importer) == 2.7.0.SNAPSHOT
mvn(org.eclipse.xsd:org.eclipse.xsd.edit) == 2.8.0.SNAPSHOT
mvn(org.eclipse.xsd:org.eclipse.xsd.editor) == 2.8.0.SNAPSHOT
mvn(org.eclipse.xsd:org.eclipse.xsd.mapping) == 2.6.0.SNAPSHOT
mvn(org.eclipse.xsd:org.eclipse.xsd.mapping.editor) == 2.7.0.SNAPSHOT
osgi(org.eclipse.emf.mapping.xsd2ecore) == 2.6.0.v20160613.1912
osgi(org.eclipse.emf.mapping.xsd2ecore.editor) == 2.6.0.v20160613.1912
osgi(org.eclipse.xsd) == 2.12.0.v20160613.1912
osgi(org.eclipse.xsd.ecore.converter) == 2.9.0.v20160613.1912
osgi(org.eclipse.xsd.ecore.converter) == 2.6.0.v20160613.1912
osgi(org.eclipse.xsd.ecore.exporter) == 2.5.0.v20160613.1912
osgi(org.eclipse.xsd.ecore.importer) == 2.7.0.v20160613.1912
osgi(org.eclipse.xsd.edit) == 2.8.0.v20160613.1912
osgi(org.eclipse.xsd.edit) == 2.9.0.v20160613.1912
osgi(org.eclipse.xsd.editor) == 2.8.0.v20160613.1912
osgi(org.eclipse.xsd.editor) == 2.9.0.v20160613.1912
osgi(org.eclipse.xsd.mapping) == 2.6.0.v20160613.1912
osgi(org.eclipse.xsd.mapping) == 2.9.0.v20160613.1912
osgi(org.eclipse.xsd.mapping.editor) == 2.7.0.v20160613.1912
osgi(org.eclipse.xsd.mapping.editor) == 2.9.0.v20160613.1912

Download

Type URL
Binary Package eclipse-xsd-2.12.0-1.mga6.noarch.rpm
Source Package eclipse-xsd-2.12.0-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install eclipse-xsd rpm package:
    # urpmi eclipse-xsd

Files

Path
/usr/share/eclipse/droplets/xsd-runtime/
/usr/share/eclipse/droplets/xsd-runtime/eclipse/fragment.info
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.ecore.converter_2.9.0.v20160613-1912/epl-v10.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.ecore.converter_2.9.0.v20160613-1912/feature.properties
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.ecore.converter_2.9.0.v20160613-1912/feature.xml
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.ecore.converter_2.9.0.v20160613-1912/license.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.ecore.converter_2.9.0.v20160613-1912/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.edit_2.9.0.v20160613-1912/epl-v10.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.edit_2.9.0.v20160613-1912/feature.properties
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.edit_2.9.0.v20160613-1912/feature.xml
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.edit_2.9.0.v20160613-1912/license.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.edit_2.9.0.v20160613-1912/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.editor_2.9.0.v20160613-1912/epl-v10.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.editor_2.9.0.v20160613-1912/feature.properties
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.editor_2.9.0.v20160613-1912/feature.xml
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.editor_2.9.0.v20160613-1912/license.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.editor_2.9.0.v20160613-1912/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.mapping.editor_2.9.0.v20160613-1912/epl-v10.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.mapping.editor_2.9.0.v20160613-1912/feature.properties
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.mapping.editor_2.9.0.v20160613-1912/feature.xml
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.mapping.editor_2.9.0.v20160613-1912/license.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.mapping.editor_2.9.0.v20160613-1912/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.mapping_2.9.0.v20160613-1912/epl-v10.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.mapping_2.9.0.v20160613-1912/feature.properties
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.mapping_2.9.0.v20160613-1912/feature.xml
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.mapping_2.9.0.v20160613-1912/license.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd.mapping_2.9.0.v20160613-1912/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd_2.12.0.v20160613-1912/epl-v10.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd_2.12.0.v20160613-1912/feature.properties
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd_2.12.0.v20160613-1912/feature.xml
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd_2.12.0.v20160613-1912/license.html
/usr/share/eclipse/droplets/xsd-runtime/eclipse/features/org.eclipse.xsd_2.12.0.v20160613-1912/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/xsd-runtime/eclipse/plugins/org.eclipse.emf.mapping.xsd2ecore.editor_2.6.0.v20160613-1912.jar
/usr/share/eclipse/droplets/xsd-runtime/eclipse/plugins/org.eclipse.emf.mapping.xsd2ecore_2.6.0.v20160613-1912.jar
/usr/share/eclipse/droplets/xsd-runtime/eclipse/plugins/org.eclipse.xsd.ecore.converter_2.6.0.v20160613-1912.jar
/usr/share/eclipse/droplets/xsd-runtime/eclipse/plugins/org.eclipse.xsd.ecore.exporter_2.5.0.v20160613-1912.jar
/usr/share/eclipse/droplets/xsd-runtime/eclipse/plugins/org.eclipse.xsd.ecore.importer_2.7.0.v20160613-1912.jar
/usr/share/eclipse/droplets/xsd-runtime/eclipse/plugins/org.eclipse.xsd.edit_2.8.0.v20160613-1912.jar
/usr/share/eclipse/droplets/xsd-runtime/eclipse/plugins/org.eclipse.xsd.editor_2.8.0.v20160613-1912.jar
/usr/share/eclipse/droplets/xsd-runtime/eclipse/plugins/org.eclipse.xsd.mapping.editor_2.7.0.v20160613-1912.jar
/usr/share/eclipse/droplets/xsd-runtime/eclipse/plugins/org.eclipse.xsd.mapping_2.6.0.v20160613-1912.jar
/usr/share/eclipse/droplets/xsd-runtime/eclipse/plugins/org.eclipse.xsd_2.12.0.v20160613-1912.jar
/usr/share/maven-metadata/eclipse-xsd-runtime.xml

Changelog

2016-06-13 - daviddavid <daviddavid> 2.12.0-1.mga6
+ Revision: 1021334
- Update to Neon release
- Drop old obsoletes
- Rebuilt to fix qualifiers
2016-03-02 - neoclust <neoclust> 2.11.0-3.mga6
+ Revision: 983208
- Fix group
- sync package eclipse-xsd with fedora
2016-02-03 - Fedora Release Engineering <releng@fedoraproject.org> - 2.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
2015-10-05 - Mat Booth <mat.booth@redhat.com> - 2.11.0-1
- Update to Mars release
2015-09-14 - Roland Grunberg <rgrunber@redhat.com> - 2.10.1-5
- Rebuild as an Eclipse p2 Droplet.
2015-06-17 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
2014-12-10 - Mat Booth <mat.booth@redhat.com> - 2.10.1-3
- Install source features
2014-12-08 - Alexander Kurtakov <akurtako@redhat.com> 2.10.1-2
- Build with xmvn.
2014-10-01 - Mat Booth <mat.booth@redhat.com> - 2.10.1-1
- Update to Luna SR1 release
- Drop upstreamed patch
2014-08-13 - Mat Booth <mat.booth@redhat.com> - 2.10.0-2
- Qualifier should be lexographically greater than upstream's

See Also

Package Description
eclipse-xsd-examples-2.12.0-1.mga6.noarch.rpm Eclipse XSD examples
eclipse-xsd-sdk-2.12.0-1.mga6.noarch.rpm Eclipse XSD SDK
eclipselink-2.5.2-4.mga6.noarch.rpm Eclipse Persistence Services Project
eclipselink-javadoc-2.5.2-4.mga6.noarch.rpm Javadoc for eclipselink
eclipselink-persistence-api-2.1.0-4.mga6.noarch.rpm JPA 2.1 Spec OSGi Bundle
eclipselink-persistence-api-javadoc-2.1.0-4.mga6.noarch.rpm Javadoc for eclipselink-persistence-api
econnman-1.1-11.mga7.noarch.rpm User interface for the connman network connection manager
ed-1.14.2-1.mga6.i586.rpm The GNU line editor
edb-1.0.5.050-9.mga7.i586.rpm Enlightenment database access library
edb-debugger-0.9.21-2.mga7.i586.rpm A free OllyDbg like debugger
edgar-1.29-1.mga7.i586.rpm The Legend of Edgar - 2D platform game
edgar-data-1.29-1.mga7.noarch.rpm Data files for The Legend of Edgar
edid-decode-0-0.20170918.1.mga7.i586.rpm EDID parse tool
editobj2-0.4-9.mga6.noarch.rpm Tkinter dialog box for editing any Python object
editorconfig-0.12.2-1.mga7.i586.rpm Commandline utilities for EditorConfig
Advertisement
Advertisement